Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.inmemory
Class InMemorySenderBeanMgr

    java.lang.Object
      org.apache.sandesha2.storage.inmemory.InMemorySenderBeanMgr

All Implemented Interfaces:
  RMBeanManager, SenderBeanMgr

    public class InMemorySenderBeanMgr

extends java.lang.Object
implements SenderBeanMgr

Field Summary
`protected InMemoryStorageManager` | `mgr`
`protected java.util.concurrent.ConcurrentHashMap<java.lang.String,T>` | `table`

Constructor Summary
`InMemorySenderBeanMgr(InMemoryStorageManager mgr, org.apache.axis2.context.AbstractContext context)`

Method Summary
`protected T` | `delete(java.lang.Object key)`
`boolean` | `delete(java.lang.String MessageId)`
`java.util.List<SenderBean>` | `find(SenderBean bean)`
`java.util.List<SenderBean>` | `find(java.lang.String internalSequenceID)`
`protected java.util.List<T>` | `findNoLock(T matchInfo)`
`SenderBean` | `findUnique(SenderBean bean)`
`protected T` | `findUniqueNoLock(RMBean matchInfo)`
`SenderBean` | `getNextMsgToSend(java.lang.String sequenceId)`
`boolean` | `insert(SenderBean bean)`
`protected boolean` | `insert(java.lang.String key, T bean)`
`protected T` | `retrieve(java.lang.Object key)`
`SenderBean` | `retrieve(java.lang.String MessageId)`
`SenderBean` | `retrieve(java.lang.String sequnceId, long messageNumber)`
`SenderBean` | `retrieveFromMessageRefKey(java.lang.String messageContextRefKey)`
`boolean` | `update(SenderBean bean)`
`protected boolean` | `update(java.lang.String key, T bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected java.util.concurrent.ConcurrentHashMap<java.lang.String,T extends RMBean> table

### mgr

    protected InMemoryStorageManager mgr

Constructor Detail

### InMemorySenderBeanMgr

    public InMemorySenderBeanMgr(InMemoryStorageManager mgr,
                                 org.apache.axis2.context.AbstractContext context)

Method Detail

### delete

    public boolean delete(java.lang.String MessageId)
                   throws SandeshaStorageException

  Specified by:
    `delete` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### retrieve

    public SenderBean retrieve(java.lang.String MessageId)
                        throws SandeshaStorageException

  Specified by:
    `retrieve` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### retrieve

    public SenderBean retrieve(java.lang.String sequnceId,
                               long messageNumber)
                        throws SandeshaStorageException

  Specified by:
    `retrieve` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### insert

    public boolean insert(SenderBean bean)
                   throws SandeshaStorageException

  Specified by:
    `insert` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### find

    public java.util.List<SenderBean> find(java.lang.String internalSequenceID)
                                    throws SandeshaStorageException

  Specified by:
    `find` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### find

    public java.util.List<SenderBean> find(SenderBean bean)
                                    throws SandeshaStorageException

  Specified by:
    `find` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### getNextMsgToSend

    public SenderBean getNextMsgToSend(java.lang.String sequenceId)
                                throws SandeshaStorageException

  Specified by:
    `getNextMsgToSend` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### update

    public boolean update(SenderBean bean)
                   throws SandeshaStorageException

  Specified by:
    `update` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### findUnique

    public SenderBean findUnique(SenderBean bean)
                          throws SandeshaStorageException

  Specified by:
    `findUnique` in interface `SenderBeanMgr`
  Throws:
    `SandeshaStorageException`

### retrieveFromMessageRefKey

    public SenderBean retrieveFromMessageRefKey(java.lang.String messageContextRefKey)

  Specified by:
    `retrieveFromMessageRefKey` in interface `SenderBeanMgr`
  Returns:

### insert

    protected boolean insert(java.lang.String key,
                             T bean)
                      throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### delete

    protected T delete(java.lang.Object key)
                               throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### retrieve

    protected T retrieve(java.lang.Object key)
                                 throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### update

    protected boolean update(java.lang.String key,
                             T bean)
                      throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### findNoLock

    protected java.util.List<T> findNoLock(T matchInfo)
                                                   throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### findUniqueNoLock

    protected T findUniqueNoLock(RMBean matchInfo)
                                         throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.